# Class: LabelImageViewer

## viewer.LabelImageViewer(options)

Static viewer for DICOM VL Whole Slide Microscopy Image instances with Image Type LABEL.

## Constructor

#### new LabelImageViewer(options)

##### Parameters:

Name | Type | Description
--- | --- | ---
`options` | Object | Options ###### Properties
Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`client` | Object |  |  | A DICOMwebClient instance for interacting with an origin server over HTTP
`metadata` | Array.<metadata.VLWholeSlideMicroscopyImage> |  |  | Metadata of DICOM VL Whole Slide Microscopy Image instances
`orientation` | string | <optional> | 'vertical' | Orientation of the slide (vertical: label on top, or horizontal: label on right side)
`resizeFactor` | number | <optional> | 1 | To which extent image should be reduced in size (fraction)
`includeIccProfile` | boolean | <optional> | false | Whether ICC Profile should be included for correction of image colors

Source:
  - viewer.js, line 4348